Traces
Get Activities By User
Queries all activities performed by a specific user.
Authorization
api_key api-key<token>
In: header
Query Parameters
tenantAlias*string
The tenant identifier
executorId*string
The user/executor identifier
startDate?string
Optional start date filter
endDate?string
Optional end date filter
limit?number
Maximum number of records to return
Format
doublecursor?string
Pagination cursor
order?string
Sort order for results
Value in
"asc" | "desc"Response Body
application/json
application/json
curl -X GET "https://api.paynowpro.com/api/v1/traces/user?tenantAlias=string&executorId=string"{
"data": [
{
"tenantAlias": "string",
"traceId": "string",
"eventId": "string",
"executorId": "string",
"parentId": "string",
"isRoot": true,
"activityType": "PaymentEvent",
"payload": {
"property1": null,
"property2": null
},
"createdAt": "string"
}
],
"nextCursor": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}